package models

import (
	// "gorm.io/gorm"

	"go-admin/common/models"
)

type OrgClub struct {
	models.Model
	ClubName       string `json:"clubName" gorm:"type:varchar(255);comment:俱乐部名称"`
	ClubUsername   string `json:"clubUsername" gorm:"type:varchar(120);comment:俱乐部账号"`
	ClubContacts   string `json:"clubContacts" gorm:"type:varchar(120);comment:俱乐部联系人"`
	ClubContactsEn string `json:"clubContactsEn" gorm:"type:varchar(120);comment:俱乐部联系人"`
	ClubMobile     string `json:"clubMobile" gorm:"type:varchar(30);comment:俱乐部联系电话"`
	ClubLogo       string `json:"clubLogo" gorm:"type:varchar(255);comment:俱乐部logo"`
	ClubQrcode     string `json:"clubQrcode" gorm:"type:varchar(255);comment:俱乐部二维码"`
	models.ModelTime
	models.ControlBy
}

func (OrgClub) TableName() string {
	return "org_club"
}

func (e *OrgClub) Generate() models.ActiveRecord {
	o := *e
	return &o
}

func (e *OrgClub) GetId() interface{} {
	return e.Id
}
